Subject: Re: [RFC/PATCH] remove unneeded check in bcm43xx

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 11 Apr 2006 11:47:30 +1000

> The hacks i see there is reallocating a buffer with GFP_DMA, so that
> means that if the ppc dma_alloc_coherent did the same thing as the i386
> counterpart (adding GFP_DMA if dma_mask is less than 32bits) it should
> work, no ?

Except that GFP_DMA covers the whole address space on ppc64...

Ben.